Bug 8335 - Missing Icon PR.png or typo in MARC21slim2OPACDetail.xsl
Summary: Missing Icon PR.png or typo in MARC21slim2OPACDetail.xsl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low minor (vote)
Assignee: Marc Véron
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-06-29 17:25 UTC by Marc Véron
Modified: 2013-12-05 19:59 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8335 - Missing Icon PR.png or typo in MARC21slim2OPACDetail.xsl (1.31 KB, patch)
2012-06-29 18:24 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 8335 - Missing Icon PR.png or typo in MARC21slim2OPACDetail.xsl (1.33 KB, patch)
2012-06-30 08:00 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marc Véron 2012-06-29 17:25:25 UTC
koha-error_log complains the following:

File does not exist: /usr/share/kohaclone/koha-tmpl/intranet-tmpl/prog/img/famfamfam/PR.png, referer: http://(------)/cgi-bin/koha/catalogue/detail.pl?biblionumber=9

It seems that this is triggered by:
koha-tmpl/opac-tmpl/prog/en/xslt/MARC21slim2OPACDetail.xsl

in follwoing lines:
<xsl:variable name="materialTypeCode">
(...)
<xsl:when test="$leader6='c' or $leader6='d'">PR</xsl:when>

Two possibilities:
- Icon PR.png is really missing
- Typo in MARC21slim2OPACDetail.xsl

Marc
Comment 1 Marc Véron 2012-06-29 18:24:05 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-06-30 08:00:04 UTC
Created attachment 10574 [details] [review]
Bug 8335 - Missing Icon PR.png or typo in MARC21slim2OPACDetail.xsl

Add PR.png (renamed file music.png from http://famfamfam.com/lab/icons/ )

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Comment 3 Paul Poulain 2012-07-06 16:30:28 UTC
tiny bugfix, passed QA